PairManagerFacade.h File Reference
`#include "PairStatusSet.h"`
`#include "groebner_defs.h"`
`#include "PairManager.h"`

Go to the source code of this file.

## Classes

class | polybori::groebner::PairManagerWithStrategy< StrategyType >
| This class extends `PairManager` with a reference to a strategy. More...
class | polybori::groebner::PairManagerFacade< StrategyType >
| This class defines a facade for a given Strategy, which. More...

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-29

This file includes the definition of the class `PairManagerFacade` which deals as a facade for strategy classes like `GroebnerStrategy` .

Copyright:
  (c) 2006-2010 by The PolyBoRi Team